<div class="user">
  <span class="name">
    <div *ngIf="user.username; else email">
      <p>{{ user.first_name }} {{ user.last_name }}</p>
      <i>@{{ user.username }}</i>
    </div>
    <ng-template #email>{{ user.email }}</ng-template>
  </span>

  <span class="email">
    <p>{{ user.email }}</p>
  </span>

  <div *ngIf="user.id != 1; then thenBlock; else elseBlock"></div>
  <ng-template #thenBlock>
    <span class="roles" *ngIf="user.id != 1">
      <p *ngIf="roles.length == 0">No roles found!</p>
      <span *ngFor="let role of roles">
        <mat-checkbox
          color="primary"
          name="{{ role.name }}"
          [checked]="user.roles.includes(role.name)"
          (change)="updateUserRoles($event)"
          class="role"
        >
          {{ role.name }}
        </mat-checkbox>
      </span>
    </span>
  </ng-template>
  <ng-template #elseBlock>
    <span class="roles" *ngIf="user.id == 1">
      <span>
        <mat-checkbox
          color="primary"
          name="root"
          [checked]="true"
          [disabled]="true"
          class="role"
        >
          root
        </mat-checkbox>
      </span>
    </span>
  </ng-template>

  <span class="status">
    <span class="state enabled" *ngIf="user.confirmed_at"> Enabled </span>
    <span class="state pending" *ngIf="!user.confirmed_at && !expired">
      Pending from {{ diff | duration : 'human' }}
    </span>
    <span class="state expired" *ngIf="!user.confirmed_at && expired">
      Expired
    </span>
  </span>

  <span class="access_key_id">
    {{ user.access_key_id }}
  </span>
</div>
